Closed Bug 1470115 Opened 2 years ago Closed Last year

2.88 - 12.12% about_preferences_basic / damp / sessionrestore* / speedometer / tp5o_webext / tpaint / ts_paint (osx-10-10, windows10-64, windows7-32) regression on push 44a69a4ebc09 (Wed Jun 20 2018)

Categories

(Core :: JavaScript Engine, defect, P1)

Unspecified
All
defect

Tracking

()

VERIFIED FIXED
mozilla63
Tracking Status
firefox-esr52 --- unaffected
firefox-esr60 --- unaffected
firefox61 --- unaffected
firefox62 --- disabled
firefox63 + fixed

People

(Reporter: igoldan, Assigned: nbp)

References

(Blocks 1 open bug)

Details

(Keywords: perf, regression, talos-regression)

Attachments

(1 file)

Talos has detected a Firefox performance regression from push:

https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?changeset=44a69a4ebc090ab49ed9872cb331c3de9749a025

As author of one of the patches included in that push, we need your help to address this regression.

Regressions:

 12%  about_preferences_basic osx-10-10 opt e10s stylo     223.70 -> 250.83
  9%  speedometer osx-10-10 opt e10s stylo                 37.13 -> 33.77
  7%  about_preferences_basic windows7-32 pgo e10s stylo   139.84 -> 150.16
  5%  tpaint windows10-64 pgo e10s stylo                   131.50 -> 138.60
  5%  tp5o_webext osx-10-10 opt e10s stylo                 374.62 -> 391.87
  4%  damp windows10-64 opt e10s stylo                     93.43 -> 96.97
  4%  sessionrestore windows10-64 pgo e10s stylo           219.17 -> 227.33
  3%  ts_paint windows10-64 pgo e10s stylo                 319.29 -> 329.67
  3%  sessionrestore_no_auto_restore windows10-64 pgo e10s stylo260.21 -> 268.42
  3%  ts_paint osx-10-10 opt e10s stylo                    727.29 -> 748.27


You can find links to graphs and comparison views for each of the above tests at: https://treeherder.mozilla.org/perf.html#/alerts?id=13897

On the page above you can see an alert for each affected platform as well as a link to a graph showing the history of scores for this test. There is also a link to a treeherder page showing the Talos jobs in a pushlog format.

To learn more about the regressing test(s), please see: https://wiki.mozilla.org/Buildbot/Talos/Tests

For information on reproducing and debugging the regression, either on try or locally, see: https://wiki.mozilla.org/Buildbot/Talos/Running

*** Please let us know your plans within 3 business days, or the offending patch(es) will be backed out! ***

Our wiki page outlines the common responses and expectations: https://wiki.mozilla.org/Buildbot/Talos/RegressionBugsHandling
Flags: needinfo?(nicolas.b.pierron)
Bug 1437600 contains some instrumentation to investigate a top crasher (~1000 crashes per day).  This instrumentation is enabled only on debug builds, nightly and dev-edition [1].  This regression should not appear on beta.

We are waiting to get more crashes in the upcoming days in order to better investigate this issue. Once done we should keep this instrumentation only on debug builds.

[1] https://hg.mozilla.org/integration/mozilla-inbound/rev/44a69a4ebc09#l2.26
Blocks: 1437600
Flags: needinfo?(nicolas.b.pierron)
:nbp Could you set the right component for this bug?
Flags: needinfo?(nicolas.b.pierron)
Component: General → JavaScript Engine
Flags: needinfo?(nicolas.b.pierron)
Priority: -- → P1
Product: Testing → Core
We noticed regressions on mobile, as well:

== Change summary for alert #13890 (as of Wed, 20 Jun 2018 12:41:34 GMT) ==

Regressions:

  6%  remote-blank android-6-0-armv8-api16 opt      367.86 -> 390.32

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=13890
Nightly-only but I think we should track this to make sure we do address it at some point.
Duplicate of this bug: 1473618
(In reply to Jan de Mooij [:jandem] from comment #5)
> Nightly-only but I think we should track this to make sure we do address it
> at some point.

Jan, nbp, any news on this bug? Thanks
Flags: needinfo?(nicolas.b.pierron)
Flags: needinfo?(jdemooij)
Leaving this to nbp.

(I am a bit worried about the perf regressions from this, even if Nightly-only. I've seen it on multiple benchmarks and in profiles.)
Flags: needinfo?(jdemooij)
The goal it to disable it completely early next week for release builds, and then follow-up by re-enabling sub-parts of it which would not cause noticeable performance issue.
Flags: needinfo?(nicolas.b.pierron)
This patch disable the memory protection mechanism on nightly releases and
dev-edition releases, but keeps it on all debug builds and enables it on all
ASan builds until Bug 1467116 is fixed.
Attachment #8993327 - Flags: review?(tcampbell)
Assignee: nobody → nicolas.b.pierron
Status: NEW → ASSIGNED
Attachment #8993327 - Flags: review?(tcampbell) → review+
Pushed by npierron@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/a6301149ad05
Disable LifoAlloc memory protection on release builds. r=tcampbell
https://hg.mozilla.org/mozilla-central/rev/a6301149ad05
Status: ASSIGNED → RESOLVED
Closed: Last year
Resolution: --- → FIXED
Target Milestone: --- → mozilla63
Duplicate of this bug: 1470935
Perf improvement:

== Change summary for alert #14502 (as of Mon, 23 Jul 2018 14:56:30 GMT) ==

Improvements:

  6%  remote-blank android-6-0-armv8-api16 opt      427.77 -> 403.52

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=14502
And the rest of them:

== Change summary for alert #14506 (as of Mon, 23 Jul 2018 14:56:30 GMT) ==

Improvements:

 15%  tp5o_webext responsiveness windows10-64-qr opt e10s stylo     1.36 -> 1.15
 12%  tp5o responsiveness linux64-qr opt e10s stylo                 1.42 -> 1.24
 12%  about_preferences_basic osx-10-10 opt e10s stylo              253.98 -> 223.46
  9%  tp6_google osx-10-10 opt e10s stylo                           939.56 -> 850.79
  9%  speedometer windows10-64 pgo e10s stylo                       68.15 -> 74.36
  9%  speedometer osx-10-10 opt e10s stylo                          34.03 -> 37.09
  9%  tp6_google windows7-32 pgo e10s stylo                         389.50 -> 356.00
  9%  tp6_google windows10-64-qr opt e10s stylo                     429.67 -> 393.00
  8%  speedometer windows10-64-qr opt e10s stylo                    65.75 -> 71.26
  8%  speedometer windows10-64 opt e10s stylo                       66.28 -> 71.64
  8%  tp6_google windows7-32 opt e10s stylo                         402.38 -> 371.42
  7%  speedometer linux64 pgo e10s stylo                            73.89 -> 79.31
  7%  tp6_google windows10-64 opt e10s stylo                        422.08 -> 391.58
  7%  speedometer windows7-32 pgo e10s stylo                        73.51 -> 78.76
  7%  tp6_google windows10-64 pgo e10s stylo                        411.33 -> 382.83
  7%  speedometer windows7-32 opt e10s stylo                        71.09 -> 76.00
  7%  speedometer linux64-qr opt e10s stylo                         65.25 -> 69.75
  7%  about_preferences_basic windows10-64 pgo e10s stylo           144.13 -> 134.48
  7%  speedometer linux64 opt e10s stylo                            66.31 -> 70.66
  6%  tp6_google linux64-qr opt e10s stylo                          472.02 -> 445.17
  6%  about_preferences_basic windows7-32 opt e10s stylo            146.07 -> 137.98
  6%  tp6_facebook windows10-64 opt e10s stylo                      154.52 -> 146.00
  6%  damp windows10-64 opt e10s stylo                              261.57 -> 247.17
  6%  tp6_google_heavy linux64-qr opt e10s stylo                    466.20 -> 440.54
  5%  tp6_google linux64-qr opt 1_thread e10s stylo                 465.21 -> 440.12
  5%  about_preferences_basic windows7-32 pgo e10s stylo            141.23 -> 134.19
  5%  tp6_google_heavy linux64 opt e10s stylo                       431.71 -> 410.62
  5%  damp osx-10-10 opt e10s stylo                                 514.79 -> 489.76
  5%  tp6_facebook_heavy linux64-qr opt e10s stylo                  173.94 -> 165.79
  5%  damp windows7-32 pgo e10s stylo                               245.39 -> 233.97
  5%  tp6_google linux64 opt 1_thread e10s stylo                    421.00 -> 401.54
  4%  damp windows10-64-qr opt e10s stylo                           265.38 -> 253.56
  4%  tpaint windows7-32 opt e10s stylo                             135.66 -> 129.64
  4%  tp6_google linux64 opt e10s stylo                             428.67 -> 410.88
  4%  tp6_facebook linux64-qr opt e10s stylo                        174.83 -> 167.58
  4%  tp6_google linux64 pgo e10s stylo                             400.17 -> 383.71
  4%  damp windows10-64 pgo e10s stylo                              252.75 -> 242.44
  4%  tp5o_webext osx-10-10 opt e10s stylo                          390.14 -> 375.31
  4%  damp windows7-32 opt e10s stylo                               251.84 -> 242.44
  4%  tp6_google linux64 pgo 1_thread e10s stylo                    391.96 -> 377.33
  3%  ts_paint_webext osx-10-10 opt e10s stylo                      760.08 -> 734.17
  3%  ts_paint_heavy windows7-32 pgo e10s stylo                     328.08 -> 317.00
  3%  ts_paint_webext windows10-64-qr opt e10s stylo                341.17 -> 330.50
  3%  about_preferences_basic linux64 opt e10s stylo                161.51 -> 156.84
  3%  sessionrestore_no_auto_restore windows7-32 opt e10s stylo     285.62 -> 277.42
  3%  kraken linux64 opt e10s stylo                                 948.12 -> 921.14
  3%  sessionrestore_no_auto_restore windows7-32 pgo e10s stylo     278.08 -> 270.25
  3%  tp6_google linux64-qr opt 1_thread e10s stylo                 446.21 -> 433.75
  3%  sessionrestore_no_auto_restore windows10-64 opt e10s stylo    276.50 -> 269.00
  3%  sessionrestore_no_auto_restore windows10-64 pgo e10s stylo    271.25 -> 263.92
  3%  tp5o_webext linux64 pgo e10s stylo                            202.40 -> 196.99
  2%  kraken linux64 pgo e10s stylo                                 934.18 -> 910.92
  2%  damp linux64 pgo e10s stylo                                   240.49 -> 234.65
  2%  tp5o_webext linux64 opt e10s stylo                            219.47 -> 214.26

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=14506
All regression have been fixed! Thank you!
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.